查询利润统计(旧) - MSKU
POST
/erp/sc/routing/finance/ProfitStatis/profitMsku支持查询系统【统计】>【利润统计】中MSKU维度数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/finance/ProfitStatis/profitMsku | HTTPS | POST | 1 |
请求参数
start_datestring必填end_datestring必填offsetinteger必填lengthinteger必填sidsstringcurrency_typestringsort_fieldstringsort_typestring请求示例
{
"start_date": "2020-08-01",
"end_date": "2024-08-07",
"offset": 0,
"length": 200,
"sids": "1,109",
"currency_type": "2",
"sort_field": "asin",
"sort_type": "desc"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
mskustring必填asinstring必填item_namestring必填local_namestring必填local_skustring必填sellerstring必填sidinteger必填marketplacestring必填asin_namestring必填category_textstring必填product_brand_textstring必填iconstring必填codestring必填total_amountstring必填total_volumenumber必填replenishment_numnumber必填refund_numnumber必填refund_amountnumber必填refund_ratestring必填channel_feenumber必填commission_amountnumber必填promotion_amountnumber必填order_quantitynumber必填sales_amountnumber必填total_spendnumber必填total_cg_pricenumber必填other_order_feenumber必填total_cg_transport_costsnumber必填gross_profitnumber必填profit_ratestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "F4CD40E1-7CB9-38DC-B196-5B17D375454E",
"response_time": "2024-08-08 19:26:34",
"data": [
{
"msku": "JJ002",
"asin": "B0BBB14W7B",
"item_name": "Super J Running Belt for Gym Workout Exercise Stable Sports Waist Bag Ultra Light Bounce Free",
"local_name": "liyi-1",
"local_sku": "liyi-1",
"seller": "篮球 美国",
"sid": "109",
"marketplace": "美国",
"asin_name": "超级管理员;林鸿基;刘瑞娟",
"category_text": "服装",
"product_brand_text": "LY",
"icon": "$",
"code": "USD",
"total_amount": 0,
"total_volume": "0",
"replenishment_num": "2",
"refund_num": "0",
"refund_amount": 0,
"refund_rate": "0.00%",
"channel_fee": -9.6,
"commission_amount": 0,
"promotion_amount": 0,
"order_quantity": "0",
"sales_amount": 0,
"total_spend": 0,
"total_cg_price": 0,
"other_order_fee": 0,
"total_cg_transport_costs": 0,
"gross_profit": -9.6,
"profit_rate": "0.00%"
},
{
"msku": "HOLDER001",
"asin": "B0BB389BKQ",
"item_name": "NP Phone Holder",
"local_name": "",
"local_sku": "",
"seller": "篮球 美国",
"sid": "109",
"marketplace": "美国",
"asin_name": "001-LXF;彭志帆;林鸿基;邱定楷",
"category_text": "-",
"product_brand_text": "",
"icon": "$",
"code": "USD",
"total_amount": 0,
"total_volume": "0",
"replenishment_num": "2",
"refund_num": "0",
"refund_amount": 0,
"refund_rate": "0.00%",
"channel_fee": -10.15,
"commission_amount": 0,
"promotion_amount": 0,
"order_quantity": "0",
"sales_amount": 0,
"total_spend": 0,
"total_cg_price": -0.59,
"other_order_fee": 0,
"total_cg_transport_costs": -4.21,
"gross_profit": -14.96,
"profit_rate": "0.00%"
}
],
"total": 29
}